Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005TeamBallLocator::CompositeCell Class Reference

`#include <GT2005TeamBallLocator.h>`

Inheritance diagram for GT2005TeamBallLocator::CompositeCell:

[legend]
Collaboration diagram for GT2005TeamBallLocator::CompositeCell:

[legend]
List of all members.

## Public Member Functions
| CompositeCell ()
| CompositeCell (Vector2< double > topLeft, Vector2< double > downRight, int depth)
void | split (BasicCell *bc, CompositeCell **cc)
void | getParticles (GT2005Particle **first)
void | addParticle (GT2005Particle *particle)
double | getSumOfProb ()
void | violentBrutalDestruction ()
## Public Attributes
AbstractCell * | cellTopLeft
AbstractCell * | cellTopRight
AbstractCell * | cellDownLeft
AbstractCell * | cellDownRight

## Constructor & Destructor Documentation

GT2005TeamBallLocator::CompositeCell::CompositeCell | ( |  | ) | `[inline]`

| Definition at line 211 of file GT2005TeamBallLocator.h. Referenced by split().

GT2005TeamBallLocator::CompositeCell::CompositeCell | ( | Vector2< double > | topLeft,
|  | Vector2< double > | downRight,
|  | int | depth
| ) | `[inline]`

| Definition at line 212 of file GT2005TeamBallLocator.h. References cellDownLeft, cellDownRight, cellTopLeft, cellTopRight, Vector2< V >::x, and Vector2< V >::y.

## Member Function Documentation

void GT2005TeamBallLocator::CompositeCell::split | ( | BasicCell * | bc,
|  | CompositeCell ** | cc
| ) | `[inline]`

| Definition at line 246 of file GT2005TeamBallLocator.h. References cellDownLeft, cellDownRight, cellTopLeft, cellTopRight, CompositeCell(), GT2005TeamBallLocator::AbstractCell::downRight, GT2005TeamBallLocator::AbstractCell::first, GT2005Particle::next, GT2005TeamBallLocator::BasicCell::p, and GT2005TeamBallLocator::AbstractCell::topLeft. Referenced by GT2005TeamBallLocator::calcRepresentativeParticleContainer().

Here is the call graph for this function:

void GT2005TeamBallLocator::CompositeCell::getParticles | ( | GT2005Particle ** | first | ) | `[inline, virtual]`

| Reimplemented from GT2005TeamBallLocator::AbstractCell. Definition at line 304 of file GT2005TeamBallLocator.h. References cellDownLeft, cellDownRight, cellTopLeft, cellTopRight, and GT2005TeamBallLocator::AbstractCell::getParticles(). Referenced by GT2005TeamBallLocator::calcRepresentativeParticleContainer().

Here is the call graph for this function:

void GT2005TeamBallLocator::CompositeCell::addParticle | ( | GT2005Particle * | particle | ) | `[inline, virtual]`

| Reimplemented from GT2005TeamBallLocator::AbstractCell. Definition at line 320 of file GT2005TeamBallLocator.h. References GT2005TeamBallLocator::AbstractCell::addParticle(), cellDownLeft, cellDownRight, cellTopLeft, cellTopRight, GT2005TeamBallLocator::AbstractCell::downRight, GT2005Particle::pose, Vector2< double >::x, and Vector2< double >::y. Referenced by GT2005TeamBallLocator::calcRepresentativeParticleContainer().

Here is the call graph for this function:

double GT2005TeamBallLocator::CompositeCell::getSumOfProb | ( |  | ) | `[inline, virtual]`

| Reimplemented from GT2005TeamBallLocator::AbstractCell. Definition at line 354 of file GT2005TeamBallLocator.h. References cellDownLeft, cellDownRight, cellTopLeft, cellTopRight, and GT2005TeamBallLocator::AbstractCell::getSumOfProb(). Referenced by GT2005TeamBallLocator::calcRepresentativeParticleContainer().

Here is the call graph for this function:

void GT2005TeamBallLocator::CompositeCell::violentBrutalDestruction | ( |  | ) | `[inline, virtual]`

| Reimplemented from GT2005TeamBallLocator::AbstractCell. Definition at line 373 of file GT2005TeamBallLocator.h. References cellDownLeft, cellDownRight, cellTopLeft, cellTopRight, and GT2005TeamBallLocator::AbstractCell::violentBrutalDestruction(). Referenced by GT2005TeamBallLocator::calcRepresentativeParticleContainer().

Here is the call graph for this function:

## Member Data Documentation

AbstractCell* GT2005TeamBallLocator::CompositeCell::cellTopLeft

| Definition at line 205 of file GT2005TeamBallLocator.h. Referenced by addParticle(), GT2005TeamBallLocator::calcRepresentativeParticleContainer(), CompositeCell(), getParticles(), getSumOfProb(), split(), and violentBrutalDestruction().

AbstractCell* GT2005TeamBallLocator::CompositeCell::cellTopRight

| Definition at line 206 of file GT2005TeamBallLocator.h. Referenced by addParticle(), GT2005TeamBallLocator::calcRepresentativeParticleContainer(), CompositeCell(), getParticles(), getSumOfProb(), split(), and violentBrutalDestruction().

AbstractCell* GT2005TeamBallLocator::CompositeCell::cellDownLeft

| Definition at line 207 of file GT2005TeamBallLocator.h. Referenced by addParticle(), GT2005TeamBallLocator::calcRepresentativeParticleContainer(), CompositeCell(), getParticles(), getSumOfProb(), split(), and violentBrutalDestruction().

AbstractCell* GT2005TeamBallLocator::CompositeCell::cellDownRight

| Definition at line 208 of file GT2005TeamBallLocator.h. Referenced by addParticle(), GT2005TeamBallLocator::calcRepresentativeParticleContainer(), CompositeCell(), getParticles(), getSumOfProb(), split(), and violentBrutalDestruction().

The documentation for this class was generated from the following file:

- Modules/TeamBallLocator/GT2005TeamBallLocator.h